Bug 122722 - libGL !DT_TEXTREL + optimization + TLS patches
libGL !DT_TEXTREL + optimization + TLS patches
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 09:19 EDT by Jakub Jelinek
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
!DT_TEXTREL + optimization + TLS patch (400.00 KB, patch)
2004-05-07 09:20 EDT, Jakub Jelinek
no flags Details | Diff
Forward port of XFree86-4.3.0-redhat-libGL-TLS-buildfix.patch (11.05 KB, patch)
2004-05-07 09:21 EDT, Jakub Jelinek
no flags Details | Diff

  None (edit)
Description Jakub Jelinek 2004-05-07 09:19:09 EDT
I'll attach current versions of the patches.
So far compile/eyeball tested on i386 and x86_64.
Comment 1 Jakub Jelinek 2004-05-07 09:20:28 EDT
Created attachment 100076 [details]
!DT_TEXTREL + optimization + TLS patch
Comment 2 Jakub Jelinek 2004-05-07 09:21:37 EDT
Created attachment 100077 [details]
Forward port of XFree86-4.3.0-redhat-libGL-TLS-buildfix.patch
Comment 3 Mike A. Harris 2004-10-12 02:47:47 EDT
Discussions occured on the DRI lists months ago in which I believe
either Jon Smirl and/or Ian Romaniak were working on this.

I believe these patches might be integrated upstream in the Mesa
CVS.  If not, then it's work that must be integrated upstream before
we will include it in our OS.

We don't support FC1 anymore, nor RHL 9, which were the only 2
OS releases that shipped XFree86 4.3.0 which had the necessary
toolchain, etc.  We only support 4.3.0 on RHEL3 now, and there's
no plan to add this to our XFree86 4.3.0 packaging for RHEL3 going
forward, so I'm closing this as "WONTFIX" for now.

Assuming the work was completed and integrated upstream, it will
appear in the next X.Org upstream release.  If the work hasn't
yet been integrated completely, someone should file an X.Org
tracking bug on http://bugs.freedesktop.org to track the development
and integration of these features into X.Org upstream.

Setting status to "WONTFIX" for RHEL3/RHL9/FC1.

Note You need to log in before you can comment on or make changes to this bug.